Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1347188 - [abrt] [faf] gnome-shell: gray_record_cell(): /usr/bin/gnome-shell killed by 11
Summary: [abrt] [faf] gnome-shell: gray_record_cell(): /usr/bin/gnome-shell killed by 11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: freetype
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-16 09:29 UTC by Vitezslav Humpa
Modified: 2018-10-30 10:20 UTC (History)
1 user (show)

Fixed In Version: freetype-2.8-11.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:19:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
The geeqie spec file from F19 (13.30 KB, text/plain)
2018-06-08 09:27 UTC, Marek Kašík
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:42 UTC

Description Vitezslav Humpa 2016-06-16 09:29:56 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/c226399c0834bdada6fbc8b5aa2db054634c715e/

Comment 1 Florian Müllner 2016-06-16 10:21:49 UTC
This is an issue lower down the stack (cogl-pango, cairo or freetype) - bug 1198861 suggests the latter, so reassigning there.

Comment 3 Marek Kašík 2018-06-08 09:25:54 UTC
I think that this has been fixed by the rebase to 2.8 in #1576504. It has this commit http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/ChangeLog?id=747ae2c8aa3d8d3a5b731caf6aca9aae4ffb74fb + several additional which add thread safety.
I can reproduce this issue with steps from https://bugzilla.redhat.com/show_bug.cgi?id=977478 (with a crafted geeqie spec file to be able to build it in RHEL7) with freetype 2.4.11 but it can not be reproduced with the freetype 2.8.

Comment 4 Marek Kašík 2018-06-08 09:27:07 UTC
Created attachment 1449035 [details]
The geeqie spec file from F19

Comment 8 errata-xmlrpc 2018-10-30 10:19:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.